Debian Bug report logs - #475150
add documentation for APACHE_ARGUMENTS and other envvars

version graph

Package: apache2.2-common; Maintainer for apache2.2-common is Debian Apache Maintainers <debian-apache@lists.debian.org>; Source for apache2.2-common is src:apache2.

Reported by: miklautz@inqnet.at

Date: Wed, 9 Apr 2008 12:12:08 UTC

Severity: minor

Found in versions apache2/2.2.3-4+etch4, apache2/2.2.3-4

Fixed in version apache2/2.2.8-5

Done: Stefan Fritsch <sf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#475150; Package apache2.2-common. Full text and rfc822 format available.

Acknowledgement sent to miklautz@inqnet.at:
New Bug report received and forwarded. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernhard Miklautz <miklautz@inqnet.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apache2.2-common: No possibility to supply defines (-D) on startup
Date: Wed, 09 Apr 2008 14:10:37 +0200
[Message part 1 (text/plain, inline)]
Package: apache2.2-common
Version: 2.2.3-4+etch4
Severity: minor
Tags: patch


It is not possible to set defines for use in <IfDefine name>
directive.

The attached patch add a variable APACHE_DEFINES to /etc/default/apache2
which is evaluated at startup and passes the defines to apachectl.


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-028stab053-dl3xx-openvz
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages apache2.2-common depends on:
ii  apache2-utils              2.2.3-4+etch4 utility programs for webservers
ii  libmagic1                  4.17-5etch3   File type determination 
library us
ii  lsb-base                   3.1-23.2etch1 Linux Standard Base 3.1 
init scrip
ii  mime-support               3.39-1        MIME files 'mime.types' & 
'mailcap
ii  net-tools                  1.60-17       The NET-3 networking toolkit
ii  procps                     1:3.2.7-3     /proc file system utilities

apache2.2-common recommends no packages.

-- no debconf information

[patch_apache_defines (text/plain, inline)]
diff -urN etc_org/default/apache2 etc/default/apache2
--- etc_org/etc/default/apache2	2008-04-08 14:03:26.000000000 +0000
+++ etc/default/apache2	2008-04-08 14:45:18.000000000 +0000
@@ -1,2 +1,4 @@
 # 0 = start on boot; 1 = don't start on boot
 NO_START=0
+# Pass defines to apache (e.g. -D Harden)
+APACHE_DEFINES=""
diff -urN etc_org/init.d/apache2 etc/init.d/apache2
--- etc_org/init.d/apache2	2008-01-31 08:41:24.000000000 +0000
+++ etc/init.d/apache2	2008-04-08 14:37:22.000000000 +0000
@@ -117,6 +117,21 @@
 	fi
 }
 
+apache_start() {
+	DEFINES="";
+	if [ "$APACHE_DEFINES" != "" ] ; then
+		for i in ${APACHE_DEFINES} ;do
+			DEFINES+="-D $i ";
+		done
+	fi
+
+	if $APACHE2CTL $DEFINES -k start; then
+		return 0
+	else
+		return 1
+	fi
+}
+
 # Stupid hack to keep lintian happy. (Warrk! Stupidhack!).
 case $1 in
 	start)
@@ -126,7 +141,7 @@
 		#ssl_scache shouldn't be here if we're just starting up.
 		[ -f /var/run/apache2/ssl_scache ] && rm -f /var/run/apache2/*ssl_scache*
 		log_begin_msg "Starting web server (apache2)..."
-		if $APACHE2CTL start; then
+		if apache_start; then
                         log_end_msg 0
                 else
                         log_end_msg 1
@@ -160,11 +175,11 @@
 		if ! apache_sync_stop; then
                         log_end_msg 1
                 fi
-		if $APACHE2CTL start; then
-                        log_end_msg 0
-                else
-                        log_end_msg 1
-                fi
+		if apache_start ; then
+			log_end_msg 0
+		else
+			log_end_msg 1
+		fi
 	;;
 	*)
 		log_success_msg "Usage: /etc/init.d/apache2 {start|stop|restart|reload|force-reload}"

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#475150; Package apache2.2-common. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 475150@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: miklautz@inqnet.at
Cc: 475150@bugs.debian.org
Subject: Re: Bug#475150: apache2.2-common: No possibility to supply defines (-D) on startup
Date: Wed, 9 Apr 2008 19:39:17 +0200
Hi,

On Wednesday 09 April 2008, Bernhard Miklautz wrote:
> It is not possible to set defines for use in <IfDefine name>
> directive.
>
> The attached patch add a variable APACHE_DEFINES to
> /etc/default/apache2 which is evaluated at startup and passes the
> defines to apachectl.

in testing/unstable, this is already possible since 2.2.8-2 by setting 
APACHE_ARGUMENTS in /etc/apache2/envvars. (But it could use more 
documentation.)

In stable, this bug will not be fixed since it is just an enhancement 
request.

Cheers,
Stefan




Bug marked as found in version 2.2.3-4. Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Wed, 09 Apr 2008 17:51:08 GMT) Full text and rfc822 format available.

Tags removed: patch Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Wed, 09 Apr 2008 17:51:09 GMT) Full text and rfc822 format available.

Changed Bug title to `add documentation for APACHE_ARGUMENTS and other envvars' from `apache2.2-common: No possibility to supply defines (-D) on startup'. Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Wed, 09 Apr 2008 17:51:10 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Thu, 17 Apr 2008 20:09:04 GMT) Full text and rfc822 format available.

Reply sent to Stefan Fritsch <sf@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to miklautz@inqnet.at:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 475150-close@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@debian.org>
To: 475150-close@bugs.debian.org
Subject: Bug#475150: fixed in apache2 2.2.8-5
Date: Mon, 09 Jun 2008 19:01:57 +0000
Source: apache2
Source-Version: 2.2.8-5

We believe that the bug you reported is fixed in the latest version of
apache2, which is due to be installed in the Debian FTP archive:

apache2-dbg_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2-dbg_2.2.8-5_i386.deb
apache2-doc_2.2.8-5_all.deb
  to pool/main/a/apache2/apache2-doc_2.2.8-5_all.deb
apache2-mpm-event_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2-mpm-event_2.2.8-5_i386.deb
apache2-mpm-prefork_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2-mpm-prefork_2.2.8-5_i386.deb
apache2-mpm-worker_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2-mpm-worker_2.2.8-5_i386.deb
apache2-prefork-dev_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2-prefork-dev_2.2.8-5_i386.deb
apache2-src_2.2.8-5_all.deb
  to pool/main/a/apache2/apache2-src_2.2.8-5_all.deb
apache2-suexec-custom_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2-suexec-custom_2.2.8-5_i386.deb
apache2-suexec_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2-suexec_2.2.8-5_i386.deb
apache2-threaded-dev_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2-threaded-dev_2.2.8-5_i386.deb
apache2-utils_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2-utils_2.2.8-5_i386.deb
apache2.2-common_2.2.8-5_i386.deb
  to pool/main/a/apache2/apache2.2-common_2.2.8-5_i386.deb
apache2_2.2.8-5.diff.gz
  to pool/main/a/apache2/apache2_2.2.8-5.diff.gz
apache2_2.2.8-5.dsc
  to pool/main/a/apache2/apache2_2.2.8-5.dsc
apache2_2.2.8-5_all.deb
  to pool/main/a/apache2/apache2_2.2.8-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 475150@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Fritsch <sf@debian.org> (supplier of updated apache2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 31 May 2008 17:02:03 +0200
Source: apache2
Binary: apache2.2-common apache2-mpm-worker apache2-mpm-prefork apache2-mpm-event apache2-utils apache2-suexec apache2-suexec-custom apache2 apache2-doc apache2-prefork-dev apache2-threaded-dev apache2-src apache2-dbg
Architecture: source i386 all
Version: 2.2.8-5
Distribution: unstable
Urgency: low
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Changed-By: Stefan Fritsch <sf@debian.org>
Description: 
 apache2    - Next generation, scalable, extendable web server
 apache2-dbg - Apache debugging symbols
 apache2-doc - documentation for apache2
 apache2-mpm-event - Event driven model for Apache HTTPD
 apache2-mpm-prefork - Traditional model for Apache HTTPD
 apache2-mpm-worker - High speed threaded model for Apache HTTPD
 apache2-prefork-dev - development headers for apache2
 apache2-src - Apache source code
 apache2-suexec - Standard suexec program for Apache 2 mod_suexec
 apache2-suexec-custom - Configurable suexec program for Apache 2 mod_suexec
 apache2-threaded-dev - development headers for apache2
 apache2-utils - utility programs for webservers
 apache2.2-common - Next generation, scalable, extendable web server
Closes: 266835 312252 349716 373969 409970 475150 477522 480893
Changes: 
 apache2 (2.2.8-5) unstable; urgency=low
 .
   * Replace a2{en,dis}{mod,site} by a rewritten version that
     - supports wildcards (Closes: #373969).
     - can be influenced with environment variables (Closes: #349716).
     - checks existing symlinks for correctness (Closes: #409970).
     - allows to remove dead symlinks (Closes: #480893).
   * Move suexec suid helper program to a separate package apache2-suexec,
     which is not installed by default. Provide an alternative version of
     suexec, which can be customized with a config file. This can be found in
     the apache2-suexec-custom package. Closes: #312252, #266835
   * Some more suexec fixes:
     - Fix race condition when changing directories.
     - Accept only /var/www/*, and not /var/www*. The same for public_html/*
       instead of public_html* (CVE-2007-1742).
     - Raise the minimum userid that suexec may change to from 100 to 1000.
   * Enable mod_deflate in new installs.
   * Include config.nice in apache2-src. This hopefully allows apache2-mpm-itk
     to drop the build-dependency on apache2-prefork-dev.
   * Mention environment variables in apache2 and apache2ctl man pages and point
     to README.Debian. (Closes: #475150)
   * Drop unneeded build-dep on libtool.
   * Drop obsolete apache2-mpm-perchild package (closes: #477522).
   * Don't fail in postinst if there is a dangling symlink /var/www/index.html.
   * Fix typo in bug number in 2.2.8-3 changelog entry.
   * Use dh_lintian in debian/rules.
Checksums-Sha1: 
 8a6b101effbcac34ad1b2ca9112c400f82276af9 1643 apache2_2.2.8-5.dsc
 6935fdacca49901d4d5c17ec7ea031f52728fac7 126717 apache2_2.2.8-5.diff.gz
 08bbe6acf05d369d9bbd89903d54f248ea1db36e 758424 apache2.2-common_2.2.8-5_i386.deb
 7a4fed0ae2b27f75660d66f0670a1c4bfb353ad8 234806 apache2-mpm-worker_2.2.8-5_i386.deb
 2dd0b62d113f6d298f65b326b638d63cd556c58c 230632 apache2-mpm-prefork_2.2.8-5_i386.deb
 f2daf33bdf278dbc9d56328ce67f753d3453658a 235356 apache2-mpm-event_2.2.8-5_i386.deb
 46414b91f9c87be3faaffae0f79a3d5f15e12e2a 139790 apache2-utils_2.2.8-5_i386.deb
 83efe54d2e1eccc46408beca684b2cf1dc2e933e 79276 apache2-suexec_2.2.8-5_i386.deb
 ba8ab9ec145b75d6dce20ca6960931e4e5c09347 80772 apache2-suexec-custom_2.2.8-5_i386.deb
 94363b0e81e3a5c7808761b3c2cc9c2a8eed1677 207478 apache2-prefork-dev_2.2.8-5_i386.deb
 b6ae1f1ed7bd59b5cb0bcbc3bc759184ce6036a3 208540 apache2-threaded-dev_2.2.8-5_i386.deb
 180cde502f8b893219352508293a4c52ee10202e 2348182 apache2-dbg_2.2.8-5_i386.deb
 d45e02028d70e4d7fe35223a4698455bd786dea4 45626 apache2_2.2.8-5_all.deb
 a888dca7a7a636837ae682a66173fd918f36a6c0 1941308 apache2-doc_2.2.8-5_all.deb
 cfdc128913c882315f303cc1ca750d99d17f2a6f 6408314 apache2-src_2.2.8-5_all.deb
Checksums-Sha256: 
 e9d359e581dfcc8e8094761dc4d3655fdf081e32e91d2ecac2a3287dbdf6a57a 1643 apache2_2.2.8-5.dsc
 e101641333f7c2d087d052494b0cd3a951e976a010b2540f1d2166f0c537a1bd 126717 apache2_2.2.8-5.diff.gz
 5d7e09f4a693f6ea0c0f098c1038b9fdf753802d83869dc47c297496a5a8da42 758424 apache2.2-common_2.2.8-5_i386.deb
 91511d15c7fd9de260c58f785b7b21a3004fde980a514730006fb4f4826ab836 234806 apache2-mpm-worker_2.2.8-5_i386.deb
 d0bf7781223dcd0b8c08133f4586c182a07f5c14d30d18cab512f3eb6ec12953 230632 apache2-mpm-prefork_2.2.8-5_i386.deb
 af51f48c3ff73bac2f3048cafb4cee12e8e5cde9beb2706eb52cd1bcacc4dae9 235356 apache2-mpm-event_2.2.8-5_i386.deb
 321d5034aaad0053c420fb8e8055a81ced103daf2675bf7ba5671be56e505375 139790 apache2-utils_2.2.8-5_i386.deb
 13ef2b5b0f0dea2ae1402618bdf65370d5383e887efb5361ebf4374c0dbc637f 79276 apache2-suexec_2.2.8-5_i386.deb
 8c3f7f724f7884aff631ea9769e393c2d681c02b8b91d6d12469f03a9f21386e 80772 apache2-suexec-custom_2.2.8-5_i386.deb
 9758bc9b75d953e1b9a8319c3961cbb3affa4171cd5ebf98de88a0b4299b8ad8 207478 apache2-prefork-dev_2.2.8-5_i386.deb
 029b16ef66dabf36f2e575c9d4b7bf2f70a976a44d12cb4e4d70f468ae33db19 208540 apache2-threaded-dev_2.2.8-5_i386.deb
 e3bfc6149f0b9856a1e1a891459357238dcf9b0cf937246d26e1447ceb7fbdd6 2348182 apache2-dbg_2.2.8-5_i386.deb
 27249304ad759b7b02ec4c897260c4c4708b7251bfca3db961b9b6c138b826ce 45626 apache2_2.2.8-5_all.deb
 6e744d7f44c3ce0b92680a4d193dd3333dac05e539da56dffe475055a6e025fc 1941308 apache2-doc_2.2.8-5_all.deb
 aa91dd0a1a98271ea6126a8f2e89129ccb2ffd556f56b5bffd1dc1849a7cde4b 6408314 apache2-src_2.2.8-5_all.deb
Files: 
 23f7b377820c7e21be37dcab23c91c4d 1643 web optional apache2_2.2.8-5.dsc
 7a15091c655c436da50a1fcfcac0eec3 126717 web optional apache2_2.2.8-5.diff.gz
 c8f7b9725644ed48529e1ca4f21f178d 758424 web optional apache2.2-common_2.2.8-5_i386.deb
 ae8964ef8d6b476b7b6062aac92e5de7 234806 web optional apache2-mpm-worker_2.2.8-5_i386.deb
 f42801bdbbef73f6885ee5dff4d82443 230632 web optional apache2-mpm-prefork_2.2.8-5_i386.deb
 1b6fa7ab28f61b7a8ce9b84978dfdc39 235356 web optional apache2-mpm-event_2.2.8-5_i386.deb
 bb5bf39adcfdf8e53914460942d4f9c2 139790 web optional apache2-utils_2.2.8-5_i386.deb
 7dbee893b61f46b41a212577aa714273 79276 web optional apache2-suexec_2.2.8-5_i386.deb
 d57f69977b8ce0005a00c0060f4009c2 80772 web extra apache2-suexec-custom_2.2.8-5_i386.deb
 11a1d12fb6e4d346ac0b31c63b86a4d9 207478 devel extra apache2-prefork-dev_2.2.8-5_i386.deb
 857db6774d60dd6f7bd02429248de87e 208540 devel extra apache2-threaded-dev_2.2.8-5_i386.deb
 5c9633880dbab70c619228030928f3cc 2348182 libdevel extra apache2-dbg_2.2.8-5_i386.deb
 bc4e9e4cbccb8a35b1bda9eb89fee945 45626 web optional apache2_2.2.8-5_all.deb
 88c3a7d662c7f70c1be17a6ddffbf6e9 1941308 doc optional apache2-doc_2.2.8-5_all.deb
 3b11a3512e20b779eaf4da5d56a330cf 6408314 devel extra apache2-src_2.2.8-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIQWu3bxelr8HyTqQRAtiEAKCZOnk1DQl9F+xUF2XiHiPH7G7RJwCfcwI2
KVNuEIso/nDBI6JS22c5Nvo=
=8PmC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Jul 2008 07:33:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:56:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.